.popup {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(13, 12, 26, 0.5);
    z-index: 3;
    display: none;

    &.active {
        display: block;
    }

    &__wrapper {
        width: 600px;
        background: white;
        position: relative;
        margin: auto;
        top: 50%;
        transform: translateY(-50%);
        padding: 32px;
        text-align: left;
        border-radius: 24px;

        @media (max-width: $tablet-max) {
            width: 100%;
            top: auto;
            transform: none;
            bottom: 0;
            position: absolute;
            border-radius: 32px 32px 0 0;
        }

        @media (max-width: $mobile-max) {
            padding: 28px 24px;
        }
    }

    &__title {
        font-weight: 500;
        font-size: 24px;
        line-height: 28px;
        color: $black;
        margin-bottom: 32px;

        @media (max-width: $tablet-max) {
            font-size: 18px;
            line-height: 22px;
            margin-bottom: 24px;
        }

        @media (max-width: $mobile-max) {
            margin-bottom: 20px;
        }
    }

    &__input {
        border: 1px solid $new-gray;
        width: 100%;
        background-color: $white;
        padding: 13px 16px;
        border-radius: 14px;
        font-weight: 400;
        font-size: 14px;
        line-height: 22px;
        display: block;


        &:nth-child(n + 2) {
            margin-top: 16px;
        }
    }

    &__textarea {
        min-height: 120px;
        resize: none;
    }

    &__button {
        width: 100%;
        background-color: $blue;
        text-align: center;
        font-weight: 500;
        font-size: 14px;
        line-height: 22px;
        border-radius: 14px;
        border: none;
        padding: 13px;
        color: $white;
        margin-top: 32px;
        cursor: pointer;
        transition: background-color 0.5s;

        @media (hover: hover) {
            &:hover {
                background-color: $pink;
            }
        }
    }

    &__close {
        position: absolute;
        width: 24px;
        height: 24px;
        right: -40px;
        fill: $white;
        opacity: 0.5;
        top: 0;
        cursor: pointer;
        transition: opacity 0.5s;

        @media (max-width: $tablet-max) {
            right: 28px;
            top: -40px;
        }

        @media (hover: hover) {
            &:hover {
                opacity: 1;
            }
        }

        svg {
            width: 100%;
            height: 100%;
        }
    }
}